/**
 * JavaScript module for the sg-youtube plugin
 *
 */
module.exports = function() {
	'use strict';

	const $ = require('jquery');
	require('magnific-popup');

	/**
	 * Initialize the whole Popup setup
	 */
	function init() {
		$('.sg-youtube').magnificPopup({
			delegate: '.sg-youtube-item',
			type: 'iframe',
			iframe: {
				patterns: {
					youtube: {
						index: 'youtube.com/',
						id: function(url) {
							let matches = url.match(/watch\?v=(.*)&list=(.*)/);
							if (!matches) {
								// check if the list parameter is missing
								matches = url.match(/watch\?v=([^?&]*)/);
								if (!matches) {
									return null;
								}
							}

							let videoString = matches[1],
								queryParameterSeparator = '?';
							if (matches[2]) {
								videoString += '?list=' + matches[2];
								queryParameterSeparator = '&';

							}
							return videoString + queryParameterSeparator + 'autoplay=1&rel=0';
						},
						src: '//www.youtube-nocookie.com/embed/%id%'
					}
				}
			}
		});
	}

	init();
};
